Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Attributes | List of all members
faiss::gpu::GpuMultipleClonerOptions Struct Reference
Inheritance diagram for faiss::gpu::GpuMultipleClonerOptions:

## Public Attributes
bool | shard
int | shard_type
| IndexIVF::copy_subset_to subset type.
Public Attributes inherited from faiss::gpu::GpuClonerOptions
IndicesOptions | indicesOptions
bool | useFloat16CoarseQuantizer
| is the coarse quantizer in float16?
bool | useFloat16
bool | usePrecomputed
| use precomputed tables?
long | reserveVecs
| reserve vectors in the invfiles?
bool | storeTransposed
| For GpuIndexFlat, store data in transposed layout?
bool | verbose
| Set verbose options on the index.

## Detailed Description

Definition at line 43 of file GpuClonerOptions.h.

## Member Data Documentation

bool faiss::gpu::GpuMultipleClonerOptions::shard

Whether to shard the index across GPUs, versus replication across GPUs

Definition at line 48 of file GpuClonerOptions.h.

The documentation for this struct was generated from the following files:

- /tmp/faiss/gpu/GpuClonerOptions.h
- /tmp/faiss/gpu/GpuClonerOptions.cpp